std::multiplies< _Tp >(3cxx)

NAME
std::multiplies< _Tp > - One of the math functors.

SYNOPSIS

#include <functional>

Inherits std::binary_function< _Tp, _Tp, _Tp >.

Inherited by __gnu_parallel::_Multiplies< _Tp, _Tp, _Tp >.

  Public Types

typedef _Tp first_argument_type
first_argument_type is the type of the first argument
typedef _Tp result_type
result_type is the return type
typedef _Tp second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

constexpr _Tp operator() (const _Tp &__x, const _Tp &__y) const

Detailed Description

  template<typename _Tp>
struct std::multiplies< _Tp >"One of the math functors.

Member Typedef Documentation

  typedef _Tp std::binary_function< _Tp, _Tp, _Tp >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef _Tp std::binary_function< _Tp, _Tp, _Tp >::result_type [inherited]

result_type is the return type

  typedef _Tp std::binary_function< _Tp, _Tp, _Tp >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.